Bug 981707 - Review Request: bmon - bandwidth monitor and rate estimator
Review Request: bmon - bandwidth monitor and rate estimator
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 10:30 EDT by Thomas Graf
Modified: 2014-09-12 09:44 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 06:00:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Graf 2013-07-05 10:30:52 EDT
Spec URL: http://www.infradead.org/~tgr/bmon/files/rhel/bmon.spec
SRPM URL: http://www.infradead.org/~tgr/bmon/files/rhel/bmon-3.1-1.fc19.src.rpm
Description: bmon is a monitoring and debugging tool to capture networking related statistics and prepare them visually in a human friendly way.
Fedora Account System Username: tgraf
Comment 1 Christopher Meng 2013-07-05 11:26:46 EDT
I firstly built on my machine and failed, I think something might be wrong within mock, but then I think there are something wrong in your configure script. I've installed libnl1 and 3 with every subpackages on my local machine, and it still failed.

Here is the build task:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5576759

Please fix by reviewing the build.log.

And please remove "rm -rf %{buildroot}" in %install section.

I'll review when you submit the next one.
Comment 2 Thomas Graf 2013-07-06 04:58:06 EDT
Fixed:
 * BuildRequires typo s/libnl-devel/libnl3-devel/
 * Removed %{buildroot} deletion in install

INFO: Done(bmon-3.1-1.fc19.src.rpm) Config(fedora-19-x86_64) 1 minutes 40 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-19-x86_64/result
Comment 3 Christopher Meng 2013-07-06 05:15:17 EDT
Ah...Where are the new SRPM?

If you update the package, please bump the release from 1 ---> 2 with%{?dist}
Comment 4 Christopher Meng 2013-07-06 05:39:35 EDT
Review from the first URL of SRPM, not sure if this one.

Many issues:

1. 2 files with unknown license

include/bmon/defs.h
include/bmon/list.h

2. In %files section, %{_sysconfdir}/bmon.conf should be:

%config(noreplace) %{_sysconfdir}/bmon.conf

3. rpmlint: 
explicit-lib-dependency libconfuse
explicit-lib-dependency libnl3

4. Manpage has incorrect syntax:
manual-page-warning /usr/share/man/man8/bmon.8.gz 203: warning: macro `NF' not defined
manual-page-warning /usr/share/man/man8/bmon.8.gz 205: warning: macro `FI' not defined
Comment 5 Thomas Graf 2013-07-06 07:49:23 EDT
(In reply to Christopher Meng from comment #4)
> Review from the first URL of SRPM, not sure if this one.

spec and SRPM updated in place.

> Many issues:
> 
> 1. 2 files with unknown license
> 
> include/bmon/defs.h

This is auto generated

> include/bmon/list.h

The header clearly states it comes from the kernel source.

> 2. In %files section, %{_sysconfdir}/bmon.conf should be:
> 
> %config(noreplace) %{_sysconfdir}/bmon.conf

Fixed

> 3. rpmlint: 
> explicit-lib-dependency libconfuse
> explicit-lib-dependency libnl3

Removed Requires

> 4. Manpage has incorrect syntax:
> manual-page-warning /usr/share/man/man8/bmon.8.gz 203: warning: macro `NF'
> not defined
> manual-page-warning /usr/share/man/man8/bmon.8.gz 205: warning: macro `FI'
> not defined

Fixed in git tree, will be included in 3.2
Comment 6 Christopher Meng 2013-07-06 09:15:19 EDT
explicit-lib-dependency libconfuse
explicit-lib-dependency libnl3

is still appeared, however I think they are false positives.


APPROVED.
Comment 7 Thomas Graf 2013-07-07 08:09:58 EDT
New Package SCM Request
=======================
Package Name: bmon
Short Description: bandwidth monitor and rate estimator
Owners: tgraf
Branches: f18 f19 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-07-07 15:15:17 EDT
Git done (by process-git-requests).
Comment 9 Terje Røsten 2013-07-08 03:20:12 EDT
> 
> > include/bmon/list.h
> 
> The header clearly states it comes from the kernel source.

Then license tag must be modified, kernel is not BSD.

> Source0: http://www.infradead.org/~tgr/bmon/files/bmon-3.1.tar.gz

Use version macro here, it will really help when doing updates:

Source0: http://www.infradead.org/~tgr/bmon/files/bmon-${version}.tar.gz
Comment 10 Christoph Wickert 2013-07-31 18:59:00 EDT
More issues:

As you can see in http://kojipkgs.fedoraproject.org//packages/bmon/3.1/1.fc20/data/logs/i686/build.log, make is not verbose, so compiler flags cannot be verified. Add "V=1" to the make call.

AFAICS bmon.conf is not generated during build but comes directly from the source tarball. You should preserve it's timestamp by adding 'INSTALL=install -p' to the 'make install' call.
Comment 11 Thomas Graf 2013-09-15 08:33:12 EDT
Fixed in bmon-3.1-4
Comment 12 Fedora Update System 2013-09-15 08:42:51 EDT
bmon-3.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bmon-3.1-4.fc20
Comment 13 Terje Røsten 2013-11-24 08:35:15 EST
Thomas,

can you please push bmon to stable?

Or any reason to keep it in testing for many weeks?
Comment 14 Thomas Graf 2013-11-28 03:22:01 EST
(In reply to Terje Røsten from comment #13)
> Thomas,
> 
> can you please push bmon to stable?
> 
> Or any reason to keep it in testing for many weeks?

Pushed to stable.
Comment 15 Fedora Update System 2013-12-13 22:04:49 EST
bmon-3.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Thomas Graf 2014-09-12 09:05:24 EDT
Package Change Request
======================
Package Name: bmon
New Branches: epel7
Owners: tgraf
Comment 17 Gwyn Ciesla 2014-09-12 09:44:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.